## org.hibernate.loader.custom.sql
Class SQLQueryReturnProcessor

    java.lang.Object
      org.hibernate.loader.custom.sql.SQLQueryReturnProcessor

    public class SQLQueryReturnProcessor

extends Object

Responsible for processing the series of `returns` defined by a `NativeSQLQuerySpecification` and breaking them down into a series of `returns` for use within the `CustomLoader`.

Author:
  Gavin King, Max Andersen, Steve Ebersole

Field Summary
`static org.slf4j.Logger` `log`

Constructor Summary
`SQLQueryReturnProcessor(NativeSQLQueryReturn[] queryReturns, SessionFactoryImplementor factory)`

Method Summary
`List` `generateCustomReturns(boolean queryHadAliases)`
`org.hibernate.loader.custom.sql.SQLQueryReturnProcessor.ResultAliasContext` `process()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.slf4j.Logger log

Constructor Detail

### SQLQueryReturnProcessor

    public SQLQueryReturnProcessor(NativeSQLQueryReturn[] queryReturns,
                                   SessionFactoryImplementor factory)

Method Detail

### process

    public org.hibernate.loader.custom.sql.SQLQueryReturnProcessor.ResultAliasContext process()

### generateCustomReturns

    public List generateCustomReturns(boolean queryHadAliases)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.